import React from 'react';
import { MagmaFlowConfig, MagmaToolCall } from '@pompeii-labs/magma/types';
export default function MagmaFlow({ apiKey, colors, config, onToolCall, endpoint, }: {
    apiKey: string;
    colors?: {
        buttonColor?: string;
        iconColor?: string;
        dotColors?: string[];
    };
    config: MagmaFlowConfig;
    onToolCall?: (toolCall: MagmaToolCall) => void;
    endpoint?: string;
}): React.JSX.Element;
