interface RMSCallbackEvent {
    normalizedRMS: number;
    speechDetected: boolean;
}
export declare class AudioRMSCalculator {
    mediaRecorder: MediaRecorder | null;
    private onRMSCallback;
    private audioContext;
    private workletNode;
    private mediaStream;
    private consecutiveSpeechFrames;
    private readonly minSpeechFrames;
    private readonly silenceThreshold;
    constructor();
    startRecording(onDataAvailable: (arrayBuffer: ArrayBuffer) => void, onRMSCallback: (event: RMSCallbackEvent) => void): Promise<void>;
    stopRecording(): void;
}
export {};
